summaryrefslogtreecommitdiff
path: root/app-office/clean-libreoffice-l10n.sh
diff options
context:
space:
mode:
Diffstat (limited to 'app-office/clean-libreoffice-l10n.sh')
-rwxr-xr-xapp-office/clean-libreoffice-l10n.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/app-office/clean-libreoffice-l10n.sh b/app-office/clean-libreoffice-l10n.sh
new file mode 100755
index 00000000..86ffbee7
--- /dev/null
+++ b/app-office/clean-libreoffice-l10n.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+ver="${1}"
+
+if [ -z "${ver}" ]; then
+ echo "${0} <ver>" >&2
+ exit 1
+fi
+
+for libre in libreoffice-l10n-*; do
+ pushd "${libre}" || exit 1
+ git rm "${libre}"-${ver}.ebuild
+ ebuild "$(ls -1 *.ebuild | head -n 1)" manifest
+ popd
+done